#include "main.h"
using namespace std;

__global__ void cuda_hello(){
    printf("(%d) Hello World from GPU!\n", threadIdx.x);
}

int mainCuda(int blocks, int threads, long long int timer) {
    cout << "kernel call... time " << _rdtsc()-timer << "\n";
    cuda_hello<<<blocks,threads>>>(); 
    cout << "wait for gpu... time " << _rdtsc()-timer << "\n";
    cudaDeviceSynchronize();
    return 0;
}
